=== debian/changelog ===
libglvnd (1.4.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 05 Jul 2022 13:51:56 -0700

libglvnd (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix nocheck FTBFS. (Closes: #993540)
    Thanks, Helmut Grohne!
  * Drop patch for mips symbols check, fixed upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 Jan 2022 16:36:07 +0200

libglvnd (1.3.4-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Add bin/symbols-check.py fix for mips*

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Sep 2021 09:00:43 +0300
