## libglvnd 1.5.0

=== debian/changelog ===
libglvnd (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Migrate to x11proto-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 24 Aug 2022 15:14:19 +0300
