## libglvnd 1.6.0

=== debian/changelog ===
libglvnd (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 Jan 2023 15:48:25 +0200
