## libglvnd 1.7.0

=== debian/changelog ===
libglvnd (1.7.0-3) unstable; urgency=medium

  * Team upload
  * Restore Build-Depends: xvfb for loong64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 28 Dec 2025 08:15:29 -0500

libglvnd (1.7.0-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Temporarily disable Build-Depends: xvfb for loong64 for bootstrapping
  * Mark xauth as only needed for build tests
  * Update debian/gbp.conf
  * Enable all hardening flags
  * Simplify debian/rules
  * Bump Standards Version to 4.7.3

  [ Diederik de Haas ]
  * copyright: remove 'userguide.html' stanza
  * control: Place -dev packages in libdevel section
  * symbols: Set Build-Depends-Package fields

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Dec 2025 10:35:19 -0500

libglvnd (1.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Refer to common license file for Apache-2.0.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Update standards version to 4.6.2, no changes needed.

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Oct 2023 13:52:22 +0300
