=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: libglvnd
-Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  meson,
- pkg-config,
  libx11-dev,
  libxext-dev,
+ pkgconf,
  python3-setuptools,
  x11proto-dev,
- xauth,
+ xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.3
 Section: libs
 Homepage: https://gitlab.freedesktop.org/glvnd/libglvnd
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libglvnd.git
@@ -85,6 +84,7 @@
  This package contains support for EGL.
 
 Package: libegl-dev
+Section: libdevel
 Architecture: any
 Depends:
  libegl1 (= ${binary:Version}),
@@ -134,6 +134,7 @@
  This package contains support for GLESv2.
 
 Package: libgles-dev
+Section: libdevel
 Architecture: any
 Depends:
  libegl-dev,
@@ -171,6 +172,7 @@
  This package contains support for old libGL for compatibility reasons.
 
 Package: libgl-dev
+Section: libdevel
 Architecture: any
 Depends:
  libgl1 (= ${binary:Version}),
@@ -208,6 +210,7 @@
  This package contains support for GLX.
 
 Package: libglx-dev
+Section: libdevel
 Architecture: any
 Depends:
  libglx0 (= ${binary:Version}),
@@ -244,6 +247,7 @@
  This package contains support for OpenGL.
 
 Package: libopengl-dev
+Section: libdevel
 Architecture: any
 Depends:
  libopengl0 (= ${binary:Version}),
