=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

export PYTHON=/usr/bin/python3

override_dh_auto_test:
	xvfb-run dh_auto_test

override_dh_bugfiles:
	dh_bugfiles -A

%:
	dh $@ --buildsystem=meson --without autoreconf
